<?php

/**
 * @file
 * Definition of Drupal\ipsum\Plugin\ipsum\provider\LoremIpsum.
 */

namespace Drupal\ipsum\Plugin\ipsum\provider;

use Drupal\ipsum\Plugin\ProviderBase;

/**
 * Provides a plugin to generate classic lorem ipsum.
 *
 * @IpsumProvider(
 *   id = "lorem",
 *   label = @Translation("Lorem Ipsum"),
 *   description = @Translation("Classic lorem ipsum text"),
 *   settings = {
 *     "sentence_words_min" = 6,
 *     "sentence_words_max" = 20,
 *     "paragraph_sentences_min" = 2,
 *     "paragraph_sentences_max" = 6
 *   }
 * )
 */
class LoremIpsum extends ProviderBase {

  /**
   * {@inheritdoc}
   */
  public function getVocabulary() {
    return array(
      'lorem',
      'ipsum',
      'dolor',
      'sit',
      'amet',
      'consectetur',
      'adipiscing',
      'elit',
      'maecenas',
      'libero',
      'vehicula',
      'eu',
      'sagittis',
      'vitae',
      'convallis',
      'at',
      'purus',
      'suspendisse',
      'quam',
      'nisl',
      'malesuada',
      'ligula',
      'donec',
      'pharetra',
      'urna',
      'sed',
      'pellentesque',
      'varius',
      'mollis',
      'facilisis',
      'consequat',
      'egestas',
      'venenatis',
      'tempus',
      'lacus',
      'eros',
      'vestibulum',
      'cursus',
      'auctor',
      'tempor',
      'dapibus',
      'ut',
      'in',
      'sapien',
      'volutpat',
      'ultricies',
      'eget',
      'duis',
      'et',
      'faucibus',
      'risus',
      'mauris',
      'a',
      'est',
      'metus',
      'feugiat',
      'luctus',
      'id',
      'felis',
      'ante',
      'primis',
      'orci',
      'ultrices',
      'posuere',
      'cubilia',
      'curae',
      'curabitur',
      'augue',
      'nunc',
      'eleifend',
      'iaculis',
      'class',
      'aptent',
      'taciti',
      'sociosqu',
      'ad',
      'litora',
      'torquent',
      'per',
      'conubia',
      'nostra',
      'inceptos',
      'himenaeos',
      'hac',
      'habitasse',
      'platea',
      'dictumst',
      'praesent',
      'bibendum',
      'pulvinar',
      'diam',
      'non',
      'sem',
      'semper',
      'lectus',
      'fringilla',
      'nisi',
      'arcu',
      'nec',
      'fermentum',
      'velit',
      'massa',
      'etiam',
      'tincidunt',
      'leo',
      'blandit',
      'nulla',
      'laoreet',
      'vel',
      'mi',
      'integer',
      'hendrerit',
      'lacinia',
      'proin',
      'porta',
      'phasellus',
      'pretium',
      'aliquam',
      'justo',
      'interdum',
      'quis',
      'dictum',
      'tortor',
      'turpis',
      'neque',
      'commodo',
      'ac',
      'rutrum',
      'rhoncus',
      'magna',
      'ullamcorper',
      'lobortis',
      'tristique',
      'erat',
      'imperdiet',
      'nam',
      'nullam',
      'nibh',
      'accumsan',
      'morbi',
      'condimentum',
      'placerat',
      'odio',
      'enim',
      'euismod',
      'sodales',
      'dui',
      'ornare',
      'porttitor',
      'vulputate',
      'scelerisque',
      'viverra',
      'mattis',
      'quisque',
      'dignissim',
      'tellus',
      'cum',
      'sociis',
      'natoque',
      'penatibus',
      'magnis',
      'dis',
      'parturient',
      'montes',
      'nascetur',
      'ridiculus',
      'mus',
      'aenean',
      'vivamus',
      'facilisi',
      'congue',
      'elementum',
      'fusce',
      'suscipit',
      'gravida',
      'sollicitudin',
      'aliquet',
      'potenti',
      'molestie',
      'cras',
      'orem',
      'habitant',
      'senectus',
      'netus',
      'fames',
    );
  }

}
